Skip to main content
`Ctrl`+`K`

# DMPATCH

`DM` object that encapsulates a domain divided into many patches

## Synopsis

    PETSC_EXTERN PetscErrorCode DMPatchCreate(MPI_Comm, DM *);

## See Also

`DM`, `DMPatchCreate()`, `DMPatchSolve()`, `DMPatchZoom()`, `DMPatchGetPatchSize()`, `DMPatchSetPatchSize()`, `DMPatchGetCommSize()`, `DMPatchSetCommSize()`, `DMPatchGetCoarse()`, `DMPatchCreateGrid()`

## Level

intermediate

## Location

include/petscdmpatch.h

Index of all DMPatch routines
Table of Contents for all manual pages
Index of all manual pages